package org.ioc.commons.flowcontrol.taskcontroller;

/**
 * Handler for tasks
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface TaskHandler {
	/**
	 * Cancel a planning task, usually whether the task is not running yet (i.e.
	 * delayed tasks).
	 * 
	 * @return if the task could be cancelled. Depending on implementations some
	 *         tasks can be finished or not.
	 */
	boolean cancel();
}
