package org.ioc.commons.impl.gwt.client.ui;

import org.ioc.commons.ui.HasEnabled;

public class HasEnabledWrapper implements HasEnabled {

	private com.google.gwt.user.client.ui.HasEnabled wrapped;

	private HasEnabledWrapper(com.google.gwt.user.client.ui.HasEnabled wrapped) {
		this.wrapped = wrapped;
	}

	@Override
	public void setEnabled(boolean enabled) {
		this.wrapped.setEnabled(enabled);
	}

	@Override
	public boolean isEnabled() {
		return this.wrapped.isEnabled();
	}

	public static HasEnabled from(com.google.gwt.user.client.ui.HasEnabled gwtHasEnabled) {
		return new HasEnabledWrapper(gwtHasEnabled);
	}

}
