package org.ioc.commons.impl.gwt.client.ui;

import org.ioc.commons.ui.HasSize;

public class HasSizeWrapper implements HasSize {

	private com.google.gwt.user.client.ui.Widget wrapped;

	private HasSizeWrapper(com.google.gwt.user.client.ui.Widget wrapped) {
		this.wrapped = wrapped;
	}

	public static HasSize from(com.google.gwt.user.client.ui.Widget gwtWidget) {
		return new HasSizeWrapper(gwtWidget);
	}

	@Override
	public int getWidth() {
		return wrapped.getOffsetWidth();
	}

	@Override
	public int getHeight() {
		return wrapped.getOffsetHeight();
	}

}
