package org.ioc.commons.impl.gwt.integration.client.dataaccess.requestfactory.rebind.internal;

import org.ioc.commons.integration.dataaccess.dao.DaoTools;

import com.google.web.bindery.autobean.shared.AutoBeanUtils;

public class RFDaoTools implements DaoTools {

	private static RFDaoTools singleton;

	public synchronized static RFDaoTools get() {
		if (singleton == null) {
			singleton = new RFDaoTools();
		}

		return singleton;
	}

	private RFDaoTools() {
		// Singleton
	}

	@Override
	public <O> boolean equalEachOther(O o1, O o2) {
		return AutoBeanUtils.deepEquals(AutoBeanUtils.getAutoBean(o1), AutoBeanUtils.getAutoBean(o2));
	}

}
