package org.ioc.commons.ui;

/**
 * Feature for a component which has a loading indicator (loader).
 * 
 * @author Jesús Lunar Pérez
 */
public interface HasLoader {
	public void setLoading(boolean loading);

	public boolean isLoading();
}
