package org.ioc.commons.ui;

public interface IsFocusable {
	/**
	 * Explicitly focus/unfocus this widget. Only one widget can have focus at a
	 * time, and the widget that does will receive all keyboard events.
	 * 
	 * @param focused
	 *            whether this widget should take focus or release it
	 */
	void setFocus(boolean focused);
}
