package org.ioc.commons.flowcontrol.actioncontroller;

/**
 * Elements which inherite from this interface represent an external action.
 * 
 * External actions represent actions which are not able to be executed by the
 * current presenter/controller and are delegated to an external process who
 * will manage it.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface IsExternalAction {

}
