package org.ioc.commons.flowcontrol.operationmanager;

/**
 * The operation manager is used to indicate when an operation begins or
 * finishes.
 * 
 * Useful to show/hide a symbol during operations are being performed.
 * 
 * @author Jesús Lunar Pérez
 * 
 * @param <O>
 *            Operation type
 */
public interface OperationManager<O extends Enum<? extends IsOperation>> extends OperationManagerBinder<O>,
		OperationManagerTrigger<O> {
}
