package org.ioc.commons.flowcontrol.taskcontroller;

/**
 * It defines a task which will be repeating until the run method returns false.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface RepeatingTask {
	/**
	 * Executes the task
	 * 
	 * @return true if the task must be executed again; false otherwise.
	 */
	boolean run();
}
