package org.ioc.commons.impl.gwt.client.ui;

import org.ioc.commons.ui.HasText;

public class HasTextWrapper implements HasText {

	private com.google.gwt.user.client.ui.HasText wrapped;

	private HasTextWrapper(com.google.gwt.user.client.ui.HasText wrapped) {
		this.wrapped = wrapped;
	}

	@Override
	public void setText(String value) {
		this.wrapped.setText(value);
	}

	@Override
	public String getText() {
		return this.wrapped.getText();
	}

	public static HasText from(com.google.gwt.user.client.ui.HasText gwtHasText) {
		return new HasTextWrapper(gwtHasText);
	}

}
