package org.ioc.commons.integration.dataaccess.dao;

public interface Dao<D extends IsDaoFactory> {

	/**
	 * It returns the used transaction for this DAO, if it exists. Otherwise,
	 * will be null.
	 * 
	 * @return The used transaction or null.
	 */
	Tx<D> usingTransaction();

}
